Operations - List
Microsoft.Elastic によって提供されるすべての操作を一覧表示します。
GET https://management.azure.com/providers/Microsoft.Elastic/operations?api-version=2020-07-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
HTTP 要求で使用される API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
成功 |
|
| Other Status Codes |
既定のエラー応答。 |
例
Operations_List
要求のサンプル
応答のサンプル
{
"value": [
{
"name": "Microsoft.Elastic/monitors/write",
"display": {
"provider": "Microsoft.Elastic",
"resource": "monitors",
"operation": "write",
"description": "Write monitors resource"
}
}
],
"nextLink": null
}
定義
| 名前 | 説明 |
|---|---|
|
Error |
ErrorResponseBody |
|
Operation |
操作を表すオブジェクト。 |
|
Operation |
Microsoft.Elastic 操作を一覧表示する GET 要求の結果。 |
|
Operation |
Microsoft.Elastic REST API 操作。 |
|
Resource |
RP の既定のエラー応答。 |
ErrorResponseBody
ErrorResponseBody
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラーメッセージ。 |
| target |
string |
エラーターゲット。 |
OperationDisplay
操作を表すオブジェクト。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
操作の説明 (例: "書き込みモニター")。 |
| operation |
string |
操作の種類 (読み取り、書き込み、削除など)。 |
| provider |
string |
サービス プロバイダー、つまり Microsoft.Elastic。 |
| resource |
string |
操作が実行される型 (例: "monitors")。 |
OperationListResult
Microsoft.Elastic 操作を一覧表示する GET 要求の結果。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string |
操作リストの次のセットが存在する場合に結果を取得する URL。 |
| value |
Microsoft.Elastic プロバイダーでサポートされている操作の一覧。 |
OperationResult
Microsoft.Elastic REST API 操作。
| 名前 | 型 | 説明 |
|---|---|---|
| display |
操作を表すオブジェクト。 |
|
| isDataAction |
boolean |
操作がデータ アクションであるかどうかを示します |
| name |
string |
操作名 ({provider}/{resource}/{operation} など)。 |
| origin |
string |
操作の発生元 |
ResourceProviderDefaultErrorResponse
RP の既定のエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
ErrorResponseBody |